body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    position: relative
}

img {
    max-width: 100%;
    object-fit: contain
}

.body {
    font-family: DINPro-Medium, sans-serif;
    margin: 0;
    padding: 0;
    color: #edbfbf;
    background-color: #000
}

.head {
    width: 100%;
    position: sticky;
    left: 0;
    top: 0;
    height: 8vh;
    display: flex;
    align-items: center;
    justify-content: space-between;
    box-sizing: border-box;
    padding-left: 2vw;
    z-index: 20;
    background-color: #000
}

.up_logo {
    height: 80%
}

.content {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column
}

.air_box {
    background-image: url('/static/pwa/airplaneblack/air_bg.png');
    background-size: contain;
    background-repeat: no-repeat
}

.air_ic {
    width: 100%
}

.welcome_txt {
    color: #ccc;
    font-size: 16px;
    text-align: center;
    margin: 0 8vw 20px
}

.welcome_txt_y {
    color: #f0d600;
    font-weight: 700
}

.welcome_txt_r {
    color: #d30433;
    font-weight: 700
}

.download-btn {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 80vw;
    overflow: hidden;
    height: 3rem;
    background-size: 300% 300%;
    cursor: pointer;
    backdrop-filter: blur(1rem);
    border-radius: 5rem;
    transition: .5s;
    animation: 5s infinite gradient_301;
    border: 4px double transparent;
    background-image: linear-gradient(#212121, #212121), linear-gradient(137.48deg, #ffdb3b 10%, #fe53bb 45%, #8f51ea 67%, #04f 87%);
    background-origin: border-box;
    background-clip: content-box, border-box;
    margin: 2vh auto;
    position: relative;
    z-index: 10
}

.progress-btn {
    position: absolute;
    top: 0;
    left: 0;
    width: 0%;
    height: 100%;
    background-color: rgb(255 215 0 / 70%);
    z-index: 20;
    border-radius: 30px;
    display: block
}

.top_btn {
    width: 120px !important;
    height: 2.5rem !important;
    margin-right: 2vh !important;
    border: 3px double transparent
}

#container-stars {
    position: absolute;
    z-index: -1;
    width: 100%;
    height: 100%;
    overflow: hidden;
    transition: .5s;
    backdrop-filter: blur(1rem);
    border-radius: 5rem
}

strong {
    z-index: 2;
    font-family: "Avalors Personal Use";
    font-size: 12px;
    letter-spacing: 2px;
    color: #fff
}

#glow {
    position: absolute;
    display: flex;
    width: 12rem
}

.circle {
    width: 100%;
    height: 30px;
    filter: blur(2rem);
    animation: 4s infinite pulse_3011;
    z-index: -1
}

.circle:first-of-type {
    background: rgba(254, 83, 186, .636)
}

.circle:nth-of-type(2) {
    background: rgba(142, 81, 234, .704)
}

.download-btn:active {
    border: 4px double #fe53bb;
    background-origin: border-box;
    background-clip: content-box, border-box;
    animation: none
}

.download-btn:active .circle {
    background: #fe53bb
}

#stars {
    position: relative;
    background: 0 0;
    width: 200rem;
    height: 200rem
}

#stars::after {
    content: "";
    position: absolute;
    top: -10rem;
    left: -100rem;
    width: 100%;
    height: 100%;
    animation: 90s linear infinite animStarRotate;
    background-image: radial-gradient(#fff 1px, transparent 1%);
    background-size: 50px 50px
}

#stars::before {
    content: "";
    position: absolute;
    top: 0;
    left: -50%;
    width: 170%;
    height: 500%;
    animation: 60s linear infinite animStar;
    background-image: radial-gradient(#fff 1px, transparent 1%);
    background-size: 50px 50px;
    opacity: .5
}

@keyframes animStar {
    from {
        transform: translateY(0)
    }
    to {
        transform: translateY(-135rem)
    }
}

@keyframes animStarRotate {
    from {
        transform: rotate(360deg)
    }
    to {
        transform: rotate(0)
    }
}

@keyframes gradient_301 {
    0%,
    100% {
        background-position: 0 50%
    }
    50% {
        background-position: 100% 50%
    }
}

@keyframes pulse_3011 {
    0% {
        transform: scale(.75);
        box-shadow: 0 0 0 0 rgba(0, 0, 0, .7)
    }
    70% {
        transform: scale(1);
        box-shadow: 0 0 0 10px transparent
    }
    100% {
        transform: scale(.75);
        box-shadow: 0 0 0 0 transparent
    }
}

svg {
    position: absolute;
    top: 50%;
    right: 5%;
    transform: translateY(-50%);
    animation: 5s linear infinite fly
}

@keyframes fly {
    0% {
        transform: translateY(-40%)
    }
    100% {
        transform: translateY(-60%)
    }
}
